import { TwitterOpenApi } from '@/api';
import { promises as fs } from 'fs';
import * as log4js from 'log4js';

const authToken = '815b4c704667dffe6d2602a04cd0fff4ee71d473'
const CsrfToken = '306f1fe74da9cf14b2ad27275a3e30f4d5811beaca9ff93a27a7fbbd63c8cae5b0f25ccb9d1315bc438ba4570a70e8bc182709724dcd8e1e3c8a4cd5eb87023e6252b86dfc46c927d3ac682b6e5b4c93'

export const logger = log4js
  .configure({
    appenders: {
      system: {
        type: 'file',
        filename: 'logs/test.log',
        layout: {
          type: 'pattern',
          pattern: '[%d{hh:mm:ss}] [%p] %m',
        },
      },
    },
    categories: {
      default: { appenders: ['system'], level: 'all' },
    },
  })
  .getLogger('Test');

export type Cookie = {
  name: string;
  domain: string;
  value: string;
};

export const getClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getClientFromCookies({
    ct0: CsrfToken,
    auth_token: authToken,
  });
  return client;
};
export const getGuestClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getGuestClient();
  return client;
};
